Deploy JADE prototype in Beta Cluster
Closed, ResolvedPublic

Description

We have a MediaWiki extension for storing and validating JADE judgments. Our plan is to burn-in for a short time on the beta cluster, to be sure that there aren't any unexpected side-effects of our ContentHandler and so on.

Halfak created this task.Sep 20 2017, 4:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2017, 4:52 PM
Halfak updated the task description. (Show Details)Sep 21 2017, 2:34 PM

This is great, thanks for roughing out the MVP!

A few things come to mind,

  • An archive of events using versioned event schemas sounds like a much more difficult migration problem than a database that evolves with our project. Reprocessing old events requires that we preserve the code to parse the old event into some intermediate form, then transform that into the most current event schema, or that we maintain code to parse all old schemas into the current storage schema. Comparing it to the alternative, we import events into our database and treat that as the authoritative store, then our migration problem is just to update the data as it exists in our system, and the oldest schema we need to care about is the previous revision.
  • postgresql is a joy to work with, +1 to that suggestion if we end up with an RDBMS.
  • Let me plug my PR for review here, https://github.com/wiki-ai/ores-diagrams/pull/2 . The data flow diagram might help our discussion.
  • We can't have a MVP supporting free text, but without admin suppression. We probably don't want an MVP without free-form text.

Regarding the comment suppression concerns, it might be fair to have our service create Flow posts from the comments, then store the URL in our database. This might even be acceptable in the medium-term, beyond MVP.

Halfak triaged this task as Normal priority.Oct 9 2017, 9:13 PM
awight renamed this task from Deploy JADE MVP API in labs to Deploy JADE API prototype in labs.Dec 20 2017, 2:54 PM
Halfak renamed this task from Deploy JADE API prototype in labs to Deploy JADE prototype in Cloud VPS.Feb 14 2018, 4:57 PM
awight renamed this task from Deploy JADE prototype in Cloud VPS to Deploy JADE prototype in Beta Cluster.Feb 14 2018, 5:04 PM
awight removed a project: Epic.
awight updated the task description. (Show Details)
awight claimed this task.Feb 26 2018, 3:49 PM

Change 414729 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Enable Extension:JADE on all beta cluster wikis

https://gerrit.wikimedia.org/r/414729

Change 414729 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Extension:JADE on all beta cluster wikis

https://gerrit.wikimedia.org/r/414729

Change 414771 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] [DNM] Enable Extension:JADE on all beta cluster wikis

https://gerrit.wikimedia.org/r/414771

awight renamed this task from Deploy JADE prototype in Beta Cluster to [Blocked] Deploy JADE prototype in Beta Cluster.Mar 5 2018, 3:48 PM
awight changed the task status from Open to Stalled.

Change 419229 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Enable Extension:JADE on all beta cluster wikis (take 2)

https://gerrit.wikimedia.org/r/419229

Change 419229 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Extension:JADE on all beta cluster wikis (take 2)

https://gerrit.wikimedia.org/r/419229

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-03-13T17:19:40Z] <awight@tin> Started scap: Beta: Fix ORES thresholds and enable JADE, T181159, T176333

awight renamed this task from [Blocked] Deploy JADE prototype in Beta Cluster to Deploy JADE prototype in Beta Cluster.Mar 13 2018, 6:00 PM
awight changed the task status from Stalled to Open.

Change 419242 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/tools/release@master] Add new extension JADE to the branch config

https://gerrit.wikimedia.org/r/419242

Mentioned in SAL (#wikimedia-cloud) [2018-03-13T18:08:49Z] <awight> Enable Extension:JADE, T176333

Change 419242 merged by jenkins-bot:
[mediawiki/tools/release@master] Add new extension JADE to the branch config

https://gerrit.wikimedia.org/r/419242

Mentioned in SAL (#wikimedia-operations) [2018-03-13T18:46:55Z] <demon@tin> scap failed: LockFailedError Failed to acquire lock "/var/lock/scap.operations_mediawiki-config.lock"; owner is "awight"; reason is "Beta: Fix ORES thresholds and enable JADE, T181159, T176333" (duration: 00m 00s)

Mentioned in SAL (#wikimedia-operations) [2018-03-13T18:47:38Z] <demon@tin> scap failed: LockFailedError Failed to acquire lock "/var/lock/scap.operations_mediawiki-config.lock"; owner is "awight"; reason is "Beta: Fix ORES thresholds and enable JADE, T181159, T176333" (duration: 00m 00s)

Change 414771 abandoned by Awight:
[DNM] Enable Extension:JADE on all beta cluster wikis

https://gerrit.wikimedia.org/r/414771